
From: Hans Reiser <reiser@namesys.com>

Reiser4 does not use shrink_dcache_anon to be exported.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/reiser4/init_super.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/reiser4/init_super.c~reiser4-dont-use-shrink_dcache_anon fs/reiser4/init_super.c
--- 25/fs/reiser4/init_super.c~reiser4-dont-use-shrink_dcache_anon	Fri Nov 12 16:02:12 2004
+++ 25-akpm/fs/reiser4/init_super.c	Fri Nov 12 16:02:12 2004
@@ -435,7 +435,7 @@ _INIT_(fs_root)
 _DONE_(fs_root)
 {
 	shrink_dcache_parent(s->s_root);
-	shrink_dcache_anon(&s->s_anon);
+	assert("vs-1714", hlist_empty(&s->s_anon));
 	dput(s->s_root);
 	s->s_root = NULL;
 	invalidate_inodes(s);
_
